Skip to main content
GET
/
bills
/
{bill_id}
Get a specific bill
curl --request GET \
  --url https://api.meow.com/v1/bills/{bill_id} \
  --header 'x-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "CANCELED",
  "vendor_name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "invoice_number": "<string>",
  "description": "<string>",
  "memo": "<string>",
  "bill_date": "2023-12-25",
  "bill_due_date": "2023-12-25",
  "bill_total": "<string>",
  "currency": "<string>",
  "payment_type": "ACH",
  "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "paid_at": "2023-11-07T05:31:56Z",
  "scheduled_at": "2023-11-07T05:31:56Z",
  "line_items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": "<string>",
      "description": "<string>",
      "type": "EXPENSE",
      "amount_total": "<string>",
      "quantity": "<string>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Your Meow API key for authentication

Headers

x-entity-id
string<uuid>

Optional entity ID for scoped access to entity-specific data

Path Parameters

bill_id
string<uuid>
required

The bill ID

Response

Successful Response

id
string<uuid>
required

The unique identifier for the bill

status
enum<string>
required

The current status of the bill

Available options:
CANCELED,
DRAFT_PROCESSING,
DRAFT,
PAYMENT_INFO_NEEDED,
PENDING,
APPROVED,
REJECTED,
SCHEDULED,
PAYMENT_INITIATED,
PAYMENT_DELIVERED,
PAYMENT_FAILED,
PAYMENT_CANCELED
vendor_name
string
required

The name of the vendor

created_at
string<date-time>
required

The creation timestamp

invoice_number
string | null

The invoice number

description
string | null

Description of the bill

memo
string | null

Memo for the bill

bill_date
string<date> | null

The bill date

bill_due_date
string<date> | null

The due date

bill_total
string | null

The total amount of the bill

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
currency
string | null

The currency code (ISO 4217)

payment_type
enum<string> | null

The payment type

Available options:
ACH,
CRYPTO,
INTERNATIONAL_PAYMENT_FX,
WIRE,
CHECK
contact_id
string<uuid> | null

The ID of the associated contact

paid_at
string<date-time> | null

The paid timestamp

scheduled_at
string<date-time> | null

The scheduled payment timestamp

line_items
BillLineItemResponse · object[]

Line items for the bill